## hyprpaper 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(hyprpaper
    DESCRIPTION "A blazing fast wayland wallpaper utility"
)

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")

message(STATUS "Configuring hyprpaper!")

# Get git info
# hash and branch
execute_process(
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_BRANCH
    OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
    COMMAND git rev-parse HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_COMMIT_HASH
    OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
    COMMAND bash -c "git show ${GIT_COMMIT_HASH} | head -n 5 | tail -n 1"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_COMMIT_MESSAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
    COMMAND bash -c "git diff-index --quiet HEAD -- || echo \"dirty\""
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_DIRTY
    OUTPUT_STRIP_TRAILING_WHITESPACE)
#
#

find_program(WaylandScanner NAMES wayland-scanner)
message(STATUS "Found WaylandScanner at ${WaylandScanner}")
execute_process(
    COMMAND pkg-config --variable=pkgdatadir wayland-protocols
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE WAYLAND_PROTOCOLS_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")

function(protocol protoPath protoName external)
    if (external)
        execute_process(
            COMMAND ${WaylandScanner} client-header ${protoPath} ${protoName}-protocol.h
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
        execute_process(
            COMMAND ${WaylandScanner} private-code ${protoPath} ${protoName}-protocol.c
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
        target_sources(hyprpaper PRIVATE ${protoName}-protocol.h ${protoName}-protocol.c)
    else()
        execute_process(
            COMMAND ${WaylandScanner} client-header ${WAYLAND_PROTOCOLS_DIR}/${protoPath} ${protoName}-protocol.h
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
        execute_process(
            COMMAND ${WaylandScanner} private-code ${WAYLAND_PROTOCOLS_DIR}/${protoPath} ${protoName}-protocol.c
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
        target_sources(hyprpaper PRIVATE ${protoName}-protocol.h ${protoName}-protocol.c)
    endif()
endfunction()

include_directories(.)
set(CMAKE_CXX_STANDARD 23)
add_compile_options(-DWLR_USE_UNSTABLE)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value -Wno-missing-field-initializers -Wno-narrowing)
find_package(Threads REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET wayland-client wayland-protocols cairo pango pangocairo libjpeg libwebp hyprlang>=0.2.0)

file(GLOB_RECURSE SRCFILES "src/*.cpp")

add_executable(hyprpaper ${SRCFILES})

protocol("protocols/wlr-layer-shell-unstable-v1.xml" "wlr-layer-shell-unstable-v1" true)
protocol("stable/xdg-shell/xdg-shell.xml" "xdg-shell" false)
protocol("stable/viewporter/viewporter.xml" "viewporter" false)
protocol("staging/fractional-scale/fractional-scale-v1.xml" "fractional-scale-v1" false)

target_compile_definitions(hyprpaper PRIVATE "-DGIT_COMMIT_HASH=\"${GIT_COMMIT_HASH}\"")
target_compile_definitions(hyprpaper PRIVATE "-DGIT_BRANCH=\"${GIT_BRANCH}\"")
target_compile_definitions(hyprpaper PRIVATE "-DGIT_COMMIT_MESSAGE=\"${GIT_COMMIT_MESSAGE}\"")
target_compile_definitions(hyprpaper PRIVATE "-DGIT_DIRTY=\"${GIT_DIRTY}\"")

target_link_libraries(hyprpaper rt)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)

target_link_libraries(hyprpaper PkgConfig::deps)

target_link_libraries(hyprpaper
        OpenGL
        GLESv2
        pthread
        magic
        ${CMAKE_THREAD_LIBS_INIT}
        wayland-cursor
)

IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg -no-pie -fno-builtin")
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg -no-pie -fno-builtin")
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg -no-pie -fno-builtin")
ENDIF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)

install(TARGETS hyprpaper)

=== debian/changelog ===
hyprpaper (0.7.0-1ubuntu1) plucky; urgency=medium

  * Update build dependencies:
    - libcairo-dev to libcairo2-dev
    - libjpeg62-turbo-dev to libjpeg-dev (which provides the turbo version)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 08 Apr 2025 13:53:27 +0200

hyprpaper (0.7.0-1) unstable; urgency=low

  * Initial release. Closes: #1065699
  * Included a simple man page for hyprpaper (uses pandoc for building).

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Fri, 08 Mar 2024 19:01:08 +0000

=== debian/control ===
Source: hyprpaper
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkgconf,
               libcairo2-dev,
               libhyprlang-dev,
               libjpeg-dev,
               libmagic-dev,
               libpango1.0-dev,
               libwayland-dev,
               libwebp-dev,
               libwlroots-dev,
               ninja-build,
               pandoc
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprpaper
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprpaper.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprpaper

Package: hyprpaper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wallpaper utility for Hyprland
 Hyprpaper is a blazing fast wallpaper utility for Hyprland
 (and other wlroots-based compositors) with the ability to
 dynamically change wallpapers through sockets.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)

%:
	dh $@

# hyprpaper uses the 'clear' target instead of a 'clean' target
override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.c *.h obj-x86_64-linux-gnu/

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_INSTALL_PREFIX:PATH=/usr

override_dh_auto_install:
	mkdir -p debian/tmp/usr/share/doc/hyprpaper
	pandoc debian/hyprpaper.1.rst --standalone --variable=header:"hyprpaper User Manual" --variable=section:1 --from rst --to man > debian/tmp/usr/share/doc/hyprpaper/hyprpaper.1
	dh_auto_install -- PREFIX='$${DESTDIR}/usr'

=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprpaper/tags \
  https://github.com/hyprwm/hyprpaper/archive/refs/tags/v(\d+.\d+.\d+)\.tar\.gz

## hyprpaper 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} VERSION)

project(
  hyprpaper
  DESCRIPTION "A blazing fast wayland wallpaper utility"
  VERSION ${VERSION})

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")

message(STATUS "Configuring hyprpaper!")

configure_file(systemd/hyprpaper.service.in systemd/hyprpaper.service @ONLY)

# Get git info hash and branch
execute_process(
  COMMAND git rev-parse --abbrev-ref HEAD
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_BRANCH
  OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
  COMMAND git rev-parse HEAD
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_COMMIT_HASH
  OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
  COMMAND bash -c "git show ${GIT_COMMIT_HASH} | head -n 5 | tail -n 1 | sed -s 's/\#//g; s/^[[:space:]]*//'"
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_COMMIT_MESSAGE
  OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
  COMMAND bash -c "git diff-index --quiet HEAD -- || echo \"dirty\""
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DIRTY
  OUTPUT_STRIP_TRAILING_WHITESPACE)

include_directories(.)
set(CMAKE_CXX_STANDARD 23)
add_compile_options(-DWLR_USE_UNSTABLE)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
                    -Wno-missing-field-initializers -Wno-narrowing)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(hyprwayland-scanner 0.4.0 REQUIRED)

pkg_check_modules(
  deps
  REQUIRED
  IMPORTED_TARGET
  wayland-client
  wayland-protocols>=1.35
  cairo
  pango
  pangocairo
  hyprlang>=0.6.0
  hyprutils>=0.2.4
  hyprgraphics)

file(GLOB_RECURSE SRCFILES "src/*.cpp")

add_executable(hyprpaper ${SRCFILES})

pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")
pkg_get_variable(WAYLAND_SCANNER_PKGDATA_DIR wayland-scanner pkgdatadir)
message(
  STATUS "Found wayland-scanner pkgdatadir at ${WAYLAND_SCANNER_PKGDATA_DIR}")

function(protocolnew protoPath protoName external)
  if(external)
    set(path ${CMAKE_SOURCE_DIR}/${protoPath})
  else()
    set(path ${WAYLAND_PROTOCOLS_DIR}/${protoPath})
  endif()
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}.cpp
           ${CMAKE_SOURCE_DIR}/protocols/${protoName}.hpp
    COMMAND hyprwayland-scanner --client ${path}/${protoName}.xml
            ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprpaper PRIVATE protocols/${protoName}.cpp
                                   protocols/${protoName}.hpp)
endfunction()
function(protocolWayland)
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/wayland.cpp
           ${CMAKE_SOURCE_DIR}/protocols/wayland.hpp
    COMMAND hyprwayland-scanner --wayland-enums --client
            ${WAYLAND_SCANNER_PKGDATA_DIR}/wayland.xml ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprpaper PRIVATE protocols/wayland.cpp protocols/wayland.hpp)
endfunction()

protocolwayland()

protocolnew("protocols" "wlr-layer-shell-unstable-v1" true)
protocolnew("stable/linux-dmabuf" "linux-dmabuf-v1" false)
protocolnew("staging/fractional-scale" "fractional-scale-v1" false)
protocolnew("stable/viewporter" "viewporter" false)
protocolnew("stable/xdg-shell" "xdg-shell" false)
protocolnew("staging/cursor-shape" "cursor-shape-v1" false)
protocolnew("stable/tablet" "tablet-v2" false)

string(REPLACE "\"" " " GIT_COMMIT_MESSAGE_ESCAPED "${GIT_COMMIT_MESSAGE}")
target_compile_definitions(hyprpaper
                           PRIVATE "-DGIT_COMMIT_HASH=\"${GIT_COMMIT_HASH}\"")
target_compile_definitions(hyprpaper PRIVATE "-DGIT_BRANCH=\"${GIT_BRANCH}\"")
target_compile_definitions(hyprpaper
                           PRIVATE "-DGIT_COMMIT_MESSAGE=\"${GIT_COMMIT_MESSAGE_ESCAPED}\"")
target_compile_definitions(hyprpaper PRIVATE "-DGIT_DIRTY=\"${GIT_DIRTY}\"")

target_link_libraries(hyprpaper rt)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)

target_link_libraries(hyprpaper PkgConfig::deps)

target_link_libraries(
  hyprpaper
  OpenGL
  GLESv2
  pthread
  magic
  ${CMAKE_THREAD_LIBS_INIT}
  wayland-cursor)

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg -no-pie -fno-builtin")
  set(CMAKE_EXE_LINKER_FLAGS
      "${CMAKE_EXE_LINKER_FLAGS} -pg -no-pie -fno-builtin")
  set(CMAKE_SHARED_LINKER_FLAGS
      "${CMAKE_SHARED_LINKER_FLAGS} -pg -no-pie -fno-builtin")
endif(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)

include(GNUInstallDirs)

install(TARGETS hyprpaper)
install(FILES ${CMAKE_BINARY_DIR}/systemd/hyprpaper.service DESTINATION "lib/systemd/user")

=== debian/changelog ===
hyprpaper (0.7.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release 0.7.6 (Closes: #1106522)
    - Also fixes FTBFS with cmake 4 (Closes: #1112999)
  * Switch libjpeg64-turbo-dev build-dep to libjpeg-dev (Closes: #1090808)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Oct 2025 11:17:06 +0800

hyprpaper (0.7.4-1) UNRELEASED; urgency=medium

  * New upstream version 0.7.4

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 10:32:11 +0000

hyprpaper (0.7.1-1) UNRELEASED; urgency=medium

  * New upstream version 0.7.1

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 09:37:04 +0000

hyprpaper (0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade to wlroots-0.18. Closes: #1092436

 -- Bastian Germann <bage@debian.org>  Thu, 17 Apr 2025 16:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: hyprpaper
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
+Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               hyprwayland-scanner (>= 0.4.2),
                pkgconf,
-               libcairo2-dev,
+               libcairo-dev,
                libhyprlang-dev,
+               libhyprgraphics-dev (>= 0.1.1),
+               libhyprutils-dev (>= 0.2.2),
                libjpeg-dev,
                libmagic-dev,
                libpango1.0-dev,
                libwayland-dev,
                libwebp-dev,
-               libwlroots-dev,
+               libwlroots-0.18-dev,
                ninja-build,
                pandoc
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 # hyprpaper uses the 'clear' target instead of a 'clean' target
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf protocols/*.hpp protocols/*.cpp
 	rm -rf *.c *.h obj-x86_64-linux-gnu/
 
 override_dh_auto_configure:

## hyprpaper 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
   hyprpaper
   DESCRIPTION "A blazing fast wayland wallpaper utility"
   VERSION ${VERSION})
+
+add_compile_definitions(HYPRPAPER_VERSION="${VERSION}")
 
 set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")
 
@@ -39,7 +41,7 @@
   OUTPUT_VARIABLE GIT_DIRTY
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 
-include_directories(.)
+include_directories(. hw-protocols protocols)
 set(CMAKE_CXX_STANDARD 23)
 add_compile_options(-DWLR_USE_UNSTABLE)
 add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
@@ -53,18 +55,19 @@
   deps
   REQUIRED
   IMPORTED_TARGET
-  wayland-client
-  wayland-protocols>=1.35
-  cairo
-  pango
-  pangocairo
   hyprlang>=0.6.0
   hyprutils>=0.2.4
-  hyprgraphics)
+  wayland-client
+  hyprtoolkit>=0.4.1
+  hyprwire
+  pixman-1
+  libdrm)
 
 file(GLOB_RECURSE SRCFILES "src/*.cpp")
 
 add_executable(hyprpaper ${SRCFILES})
+
+# Wayland
 
 pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
 message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")
@@ -107,6 +110,25 @@
 protocolnew("staging/cursor-shape" "cursor-shape-v1" false)
 protocolnew("stable/tablet" "tablet-v2" false)
 
+# Hyprwire
+
+function(hyprprotocolServer protoPath protoName)
+  set(path ${CMAKE_SOURCE_DIR}/${protoPath})
+  add_custom_command(
+    OUTPUT ${CMAKE_SOURCE_DIR}/hw-protocols/${protoName}-server.cpp
+           ${CMAKE_SOURCE_DIR}/hw-protocols/${protoName}-server.hpp
+    COMMAND hyprwire-scanner ${path}/${protoName}.xml
+            ${CMAKE_SOURCE_DIR}/hw-protocols/
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+  target_sources(hyprpaper PRIVATE hw-protocols/${protoName}-server.cpp
+                                   hw-protocols/${protoName}-server.hpp
+                                   )
+endfunction()
+
+hyprprotocolServer(hw-protocols hyprpaper_core)
+
+# 
+
 string(REPLACE "\"" " " GIT_COMMIT_MESSAGE_ESCAPED "${GIT_COMMIT_MESSAGE}")
 target_compile_definitions(hyprpaper
                            PRIVATE "-DGIT_COMMIT_HASH=\"${GIT_COMMIT_HASH}\"")

=== debian/changelog ===
hyprpaper (0.8.3-1) unstable; urgency=medium

  * [9ddde97] New upstream version 0.8.3

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Jan 2026 17:16:46 +0800

hyprpaper (0.8.2-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.2

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 28 Jan 2026 16:48:34 +0800

hyprpaper (0.8.1-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.1
  * Build-dep on hyprwire-scanner

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 Jan 2026 11:33:58 +0800

hyprpaper (0.8.0-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.0
  * d/control: Update build-deps
    - Drop cairo, pango and hyprgraphics
    - Add hyprtoolkit pixman, and drm
  * d/copyright: Add myself

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 02 Jan 2026 13:07:33 +0800

hyprpaper (0.7.6-1) unstable; urgency=medium

  * Salvage package (Closes: #1122647)
  * Update build-deps
    - Change libcairo-dev to libcairo2-dev (Closes: #1102375)
    - Drop libwlroots-0.18-dev which is no longer used (Closes: #1122203)
    - Add libgles-dev, libopengl-dev and wayland-protocols (previously
      transitive dependencies of wlroots)
    - Update versions on hyprutils and hyprlang
  * Update maintainer to Debian Hyprland team
  * Reindent Build-Depends to match team convention
  * Update Vcs-* fields to point to hyprland-team

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 12 Dec 2025 22:29:57 +0800

=== debian/control ===
Source: hyprpaper
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Chow Loong Jin <hyperair@debian.org>,
 Carl Keinath <carl.keinath@gmail.com>,
 Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 hyprwayland-scanner (>= 0.4.2),
 hyprwire-scanner,
 pkgconf,
 libdrm-dev,
 libgles-dev,
 libhyprlang-dev (>= 0.6.0),
 libhyprtoolkit-dev (>= 0.4.1),
 libhyprutils-dev (>= 0.2.4),
 libhyprwire-dev,
 libjpeg-dev,
 libmagic-dev,
 libopengl-dev,
 libpixman-1-dev,
 libwayland-dev,
 libwebp-dev,
 ninja-build,
 pandoc,
 wayland-protocols (>= 1.35)
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprpaper
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprpaper.git
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprpaper

Package: hyprpaper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wallpaper utility for Hyprland
 Hyprpaper is a blazing fast wallpaper utility for Hyprland
 (and other wlroots-based compositors) with the ability to
 dynamically change wallpapers through sockets.
